org.faceless.pdf2

## Class AnnotationSound

- java.lang.Object
- - org.faceless.pdf2.PDFAnnotation
  - - org.faceless.pdf2.AnnotationSound

- All Implemented Interfaces:
    Cloneable

      public final class AnnotationSound
      extends PDFAnnotation

  A subtype of `PDFAnnotation` that allows audio samples to be attached to the PDF. There are several ways to add audio to Acrobat - this approach is the "Acrobat 5.0" compatible approach as described in Acrobat 9.0. The other main approach is to add a `playSound` action to a `FormButton` or similar object.

  Since:
    2.11.7

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationSound()` Create a new Sound annotation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PDFSound` | `getSound()` Return the PDFSound from this annotation
    `void` | `setSound(PDFSound sound)` Set the contents of this annotation to the specified sound.
    `void` | `setType(String type, Color color)` Set the type of attachment - the physical appearance on the page.
    `String` | `toString()`

    - ### Methods inherited from class org.faceless.pdf2.PDFAnnotation

      `addPropertyChangeListener, addReview, flatten, getAuthor, getColor, getContents, getCreationDate, getInReplyTo, getMetaData, getModifyDate, getOpacity, getPage, getPopup, getRectangle, getReplies, getReviews, getSubject, getType, getUniqueID, hasAppearanceState, isContentLocked, isPositionLocked, isPrintable, isReadOnly, isVisible, rebuild, removePropertyChangeListener, setAuthor, setColor, setContents, setCreationDate, setInReplyTo, setLocked, setMetaData, setModifyDate, setOpacity, setPage, setPrintable, setReadOnly, setRectangle, setSubject, setUniqueID, setVisible`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationSound

          public AnnotationSound()

      Create a new Sound annotation. To actually set the attachment, the `setSound()` method must be called.

  - ### Method Detail

    - #### setType

          public void setType(String type,
                              Color color)

      Set the type of attachment - the physical appearance on the page. The type must be one of the three pre-defined types (Speaker, Mic or Ear) or an `IllegalArgumentException` will be thrown.
      Parameters:
        `type` - the type of attachment - one of the three values listed above.
        `color` - the color of the attachment

    - #### setSound

          public void setSound(PDFSound sound)

      Set the contents of this annotation to the specified sound.
      Parameters:
        `sound` - the PDFSound object to use

    - #### getSound

          public PDFSound getSound()

      Return the PDFSound from this annotation

    - #### toString

          public String toString()

Copyright © 2001-2015 Big Faceless Organization